Eclipse Platform Release 3.7

## org.eclipse.update.core
Class Verifier

    java.lang.Object
      org.eclipse.update.core.Verifier

All Implemented Interfaces:
  IVerifier

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public abstract class Verifier

extends Object
implements IVerifier

Convenience implementation of a verifier.

This class may be subclassed by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IVerifier`

Constructor Summary
`Verifier()` Deprecated.

Method Summary
`IVerifier` `getParent()` Deprecated. Returns the parent verifier
`void` `setParent(IVerifier parentVerifier)` Deprecated. Sets the parent verifier.
`abstract IVerificationResult` `verify(IFeature feature, ContentReference reference, boolean isFeatureVerification, InstallMonitor monitor)` Deprecated. Perform verification of the specified archive.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Verifier

    public Verifier()

  Deprecated.

Method Detail

### verify

    public abstract IVerificationResult verify(IFeature feature,
                                               ContentReference reference,
                                               boolean isFeatureVerification,
                                               InstallMonitor monitor)
                                        throws CoreException

  Deprecated.
  Description copied from interface: `IVerifier`
  Perform verification of the specified archive.

  Specified by:
    `verify` in interface `IVerifier`
  Parameters:
    `feature` - feature containing this archive
    `reference` - actual archive reference
    `isFeatureVerification` - `true` indicates the specified reference should be considered as part of the feature description information (ie. verifying the overall feature), `false` indicates the specified reference is a plug-in or a non-plug-in archive file (ie. verifying a component of the feature)
    `monitor` - progress monitor, can be `null`
  Returns:
    verification result
  Throws:
    `CoreException`
  See Also:
    `IVerifier.verify(IFeature, ContentReference, boolean, InstallMonitor)`

### setParent

    public void setParent(IVerifier parentVerifier)

  Deprecated.
  Description copied from interface: `IVerifier`
  Sets the parent verifier. The parent verifier can only be set once by the parent feature. It may used for different verification strategies. (for instance, you may decide that both the parent and current verifier must sucessfully verify the content reference, or that only one of them must verify)

  Specified by:
    `setParent` in interface `IVerifier`
  Parameters:
    `parentVerifier` - the parent verifier.
  See Also:
    `IVerifier.verify(IFeature, ContentReference, boolean, InstallMonitor)`

### getParent

    public IVerifier getParent()

  Deprecated.
  Returns the parent verifier

  Specified by:
    `getParent` in interface `IVerifier`
  Returns:
    the parent verifier
  Since:
    2.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.